petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelGetNumValues

Get the number of values that the DMLabel takes

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetNumValues(DMLabel label, PetscInt *numValues)

Not collective

### Input Parameter

label -the DMLabel

### Output Paramater

numValues -the number of values

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages